palette {grDevices} | R Documentation

## Set or View the Graphics Palette

### Description

View or manipulate the color palette which is used when a `col=` has a numeric index.

### Usage

    palette(value)

### Arguments

`value` | an optional character vector.

### Details

If `value` has length 1, it is taken to be the name of a built in color palette. If `value` has length greater than 1 it is assumed to contain a description of the colors which are to make up the new palette (either by name or by RGB levels).

If `value` is omitted or has length 0, no change is made the current palette.

Currently, the only built-in palette is `"default"`.

### Value

The palette which was in effect. This is `invisible` unless the argument is omitted.

### See Also

`colors` for the vector of built-in “named” colors; `hsv`, `gray`, `rainbow`, `terrain.colors`,... to construct colors.

`colorRamp` to interpolate colors, making custom palettes; `col2rgb` for translating colors to RGB 3-vectors.

### Examples

    palette()               # obtain the current palette
    palette(rainbow(6))     # six color rainbow

    (palette(gray(seq(0,.9,len=25)))) # gray scales; print old palette
    matplot(outer(1:100,1:30), type='l', lty=1,lwd=2, col=1:30,
            main = "Gray Scales Palette",
            sub = "palette(gray(seq(0,.9,len=25)))")
    palette("default")      # reset back to the default

[Package grDevices version 2.5.0 Index]